Bug 1460975 - SELinux is preventing rm from 'unlink' accesses on the file .deliver_lock.
SELinux is preventing rm from 'unlink' accesses on the file .deliver_lock.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:3f60ce0544eaee8ed0d5be6fe50...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 05:47 EDT by Silas Parker
Modified: 2017-12-12 05:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:38:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Silas Parker 2017-06-13 05:47:35 EDT
Description of problem:
This denial pops up periodically, not really sure if it should be allowed or blocked (dontaudit ?).
SELinux is preventing rm from 'unlink' accesses on the file .deliver_lock.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that rm should be allowed unlink access on the .deliver_lock file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'rm' --raw | audit2allow -M my-rm
# semodule -X 300 -i my-rm.pp

Additional Information:
Source Context                system_u:system_r:logwatch_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mail_home_rw_t:s0
Target Objects                .deliver_lock [ file ]
Source                        rm
Source Path                   rm
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.16.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.11.3-202.fc25.x86_64 #1 SMP Mon
                              Jun 5 16:38:21 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-06-13 03:14:15 BST
Last Seen                     2017-06-13 03:14:32 BST
Local ID                      6fe77f5f-cb6c-41df-b683-282aabc4a5cf

Raw Audit Messages
type=AVC msg=audit(1497320072.169:8265): avc:  denied  { unlink } for  pid=23140 comm="dotlockfile" name=".deliver_lock" dev="dm-1" ino=531272 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mail_home_rw_t:s0 tclass=file permissive=1


Hash: rm,logwatch_t,mail_home_rw_t,file,unlink

Version-Release number of selected component:
selinux-policy-3.13.1-225.16.fc25.noarch

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.11.3-202.fc25.x86_64
type:           libreport
Comment 1 Fedora End Of Life 2017-11-16 13:31:55 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:38:27 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.